# SYSCS_UTIL.SYSCS_FREEZE_DATABASE system procedure

The `SYSCS_UTIL.SYSCS_FREEZE_DATABASE` system procedure temporarily freezes the database for backup.

#### Syntax

    SYSCS_UTIL.SYSCS_FREEZE_DATABASE()

No result set is returned by this procedure.

#### Example

    String backupdirectory = "c:/mybackups/" + JCalendar.getToday();
    CallableStatement cs = conn.prepareCall
    ("CALL SYSCS_UTIL.SYSCS_FREEZE_DATABASE()");
    cs.execute();
    cs.close();
    // user supplied code to take full backup of "backupdirectory"
    // now unfreeze the database once backup has completed:
    CallableStatement cs = conn.prepareCall
    ("CALL SYSCS_UTIL.SYSCS_UNFREEZE_DATABASE()");
    cs.execute();
    cs.close();

Parent topic: Built-in system procedures